Skip to Content
APIsWhales

Whales

Get whales returns large crypto trades for a crypto pair from an exchange.

Get Whales

GEThttps://api.adesic.com/v2/analytics/whales/{exchange}/{market}

Returns an object containing large crypto trades for a crypto pair on an exchange.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
success-response.json
{ "name": "BTC-USD", "exchangeId": "coinbasepro", "base": "BTC", "quote": "USD", "whales": { "nodes": [ { "cost": 220116.966516, "id": 18332, "idOnExchange": "456861288", "insertedAt": "2022-11-17T15:49:18.878", "price": 16560, "side": "buy", "size": 13.29208735 }, ] } }

Get Whales Today

GEThttps://api.adesic.com/v2/analytics/whales/today

Returns an object containing the most recent or newest top 50 large crypto trades within the last 24 hours. Resets every day.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
success-response.json
{ "cost": 313438.248, "id": 18336, "idOnExchange": "1025921603", "insertedAt": "2022-11-18T05:21:40.879", "market": { "name": "ETH-USDT", "exchangeId": "binance", "base": "ETH", "quote": "USDT" }, "price": 1224, "side": "sell", "size": 256.077 },

Get Whales Recent

GEThttps://api.adesic.com/v2/analytics/whales/recent

Returns an object containing the most recent large crypto trades.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
success-response.json
{ "cost": 313438.248, "id": 18336, "idOnExchange": "1025921603", "insertedAt": "2022-11-18T05:21:40.879", "market": { "name": "ETH-USDT", "exchangeId": "binance", "base": "ETH", "quote": "USDT" }, "price": 1224, "side": "sell", "size": 256.077 },

Copy & Paste Code

curl-request.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/analytics/whales/coinbasepro/btc-usd

Response Object

Example URL: https://api.adesic.com/v2/analytics/whales/coinbasepro/btc-usd 

whales-response.json
{ "name": "BTC-USD", "exchangeId": "coinbasepro", "base": "BTC", "quote": "USD", "whales": { "nodes": [ { "cost": 220116.966516, "id": 18332, "idOnExchange": "456861288", "insertedAt": "2022-11-17T15:49:18.878", "price": 16560, "side": "buy", "size": 13.29208735 }, ] } }

Response Attributes

Attribute NameData TypeDescription
namestringUnique identifier used by the exchange for ticker.
exchangeIdstringThe exchange id.
basestringThe base of the market. eg: The quantity that is bought.
quotestringThe quote of the market. eg: The currency being compared.
costfloatThe quote cost: (size * price).
idintegerThe exchange specific unique id of the trade.
idOnExchangestringUnique identifier used by the exchange for trade.
insertedAtstringUnix timestamp of the trade.
pricefloatThe price the trade was executed at.
sidestringWhether the trade was a buy or sell.
sizefloatThe quantity traded.

© Adesic LLC. All Rights Reserved